ParentMap.Entry (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.ParentMap.Entry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class ParentMap.Entry

    java.lang.Object
      org.jgraph.graph.ParentMap.Entry

All Implemented Interfaces:
  Serializable

Enclosing class:
  ParentMap

public class ParentMap.Entry
extends Object
implements Serializable

Object that represents the relation between a child an a parent.

See Also:
  Serialized Form

Field Summary
`protected Object` | `child` Child and parent of the relation this entry describes.
`protected Object` | `parent` Child and parent of the relation this entry describes.

Constructor Summary
`ParentMap.Entry(Object child, Object parent)` Constructs a new relation between `child` and `parent`.

Method Summary
`Object` | `getChild()` Returns the child of the relation.
`Object` | `getParent()` Returns the parent of the relation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### child

    protected Object child

  Child and parent of the relation this entry describes.

### parent

    protected Object parent

  Child and parent of the relation this entry describes.

Constructor Detail

### ParentMap.Entry

    public ParentMap.Entry(Object child,
                           Object parent)

  Constructs a new relation between `child` and `parent`.

Method Detail

### getChild

    public Object getChild()

  Returns the child of the relation.

### getParent

    public Object getParent()

  Returns the parent of the relation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.